Skip to content

Card Replacement

| View as Markdown

This API is used for card replacement request with a new one. We must pass entity id, kit no, dob and expiry date in request. If the request has valid details, we will get a success response along with card no, cardtype, kit no and cvv.

https://kraken.airpay.co.in/airpay/ms/cards/api/card-replacement
ParameterType ValueDescriptionValue Like
checksum requiredtext$string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>);(dynamic, required)91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
token requiredtextWill be provided by airpay91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
ParameterType ValueDescriptionValue Like
entity_id requiredtext
(1-50)
The Customer Id registered with the system91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps
old_kit_no optionaltextKit no.of old card which need to replace
new_kit_no optionalnumericNew kit no for new card
ParameterType ValueDescriptionValue Like
status requirednumericairpay status400,200
message requiredtextairpay status messageSuccess,Fail
data requiredjson[]
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/card-replacement' \
--header 'token: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'entity_id=91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps'\
--data-urlencode 'old_kit_no=' \
--data-urlencode 'new_kit_no='
{
"status": 200,
"message": "success",
"data": []
}
{
"status": 400,
"message": "fail"
}